# Preview
![Preview](https://cdn.discordapp.com/attachments/749076478146117733/803862868683522108/rengarpreview.png)
![Preview](https://cdn.discordapp.com/attachments/749076478146117733/803862866008604702/headhunterpreview.png)
![Preview](https://cdn.discordapp.com/attachments/749076478146117733/803862874916388864/sswpreview.png)
![Preview](https://cdn.discordapp.com/attachments/749076478146117733/803862876946825216/nighthunterpreview.png)
![Preview](https://cdn.discordapp.com/attachments/749076478146117733/803862874580713522/kittypreview.png)
![Preview](https://cdn.discordapp.com/attachments/749076478146117733/803862873176277022/guardianpreview.png)
![Preview](https://cdn.discordapp.com/attachments/749076478146117733/803862871993614366/mechapreview.png)

# Info

Rengar, the Pridestalker is here. In the hunt for The Beast.
He's not very agile at the start, but gains bonuses as the game goes. 
The position and scale of custom ui elements added by this mod are configurable.

# Skills

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][passive] | Passive | Innate: Rengar's attacks are Critical Strikes when striking an enemy from behind. Bonetooth Necklace: Rengar collects 1 Trophy when scoring a takedown against enemy bosses. FEROCITY: Rengar generates 1 Ferocity whenever he casts a basic ability. Reaching 3 Ferocity makes his next basic ability empowered. |
| ![][primary] | Primary: Rip and Tear | Rengar shreds his enemies to pieces with attacks in quick succession. The last attack tears their flesh, making a bleeding open wound. |
| ![][secondary] | Secondary: Savagery | Rengar brutally stabs his target for bonus damage. Ferocity effect: deals increased damage and grants Attack Speed. |
| ![][utility] | Utility: Bola Strike | Rengar throws a bola, slowing the first target hit for a short duration. Ferocity effect: roots the target. |
| ![][special] | Special: Thrill of the Hunt | Rengar's predatory instincts take over, Camouflaging him and revealing the nearest enemy in a large radius around him. During Thrill of the Hunt, Rengar gains Movement Speed and he can leap to the tracked enemy, and bypasses their armor. |

[passive]: https://cdn.discordapp.com/attachments/749076478146117733/939181713739878510/64.png
[primary]: https://cdn.discordapp.com/attachments/749076478146117733/939183108048175164/64.png
[secondary]: https://cdn.discordapp.com/attachments/749076478146117733/939181749408264242/64.png
[utility]: https://cdn.discordapp.com/attachments/749076478146117733/939181817041408020/64.png
[special]: https://cdn.discordapp.com/attachments/749076478146117733/939181834535845949/64.png

# Installation
R2modman is recommended. 

Manual:

1 - Download and install BepInExPack and R2API 

2 - Extract the "Rengar" dll to your plugins folder

3 - Have fun!

# Support Me
If you like my mods and would like to support my work, consider buying me a coffee:

[![kofilogo](https://cdn.discordapp.com/attachments/749076478146117733/939032751762460742/61e11149b3af2ee970bb8ead_Ko-fi_logo-p-250.png)](https://ko-fi.com/dragonskins)

# Changelog
1.3.0 -

	Migrated back to R2API.
	
	Turned the Ferocity bar into a component, now it will have proper multiplayer compatbility and will work properly as a hud element.
	
	Adjusted Primary and Secondary damage to balance around backstab.
	
	Trophy rank 1 has a different effect.
	
	Fixed Skill Interruptions. Now skills can be cast while casting primary.
	
	Fixed equipment displays that could lead to errors.
	
	Fixed buff icons.

1.2.1 - Fixed VFX

1.2.0 - Migrated to EnigmaticThunder API, now works with Anniversary Update. Added new passive and improved passive description for better visibility. Reduced Rip and Tear time between attacks.

1.1.4 - Added chat messages back, and fixed the global buff, now it only applies to Rengar.

1.1.3 - Empowered skills no longer make regular skills enter full cd after use and no longer use backup mag stocks.

1.1.2 - Removed chat messages when reaching higher trophy ranks as a temporary fix. 

1.1.1 - Lowered utility cd back, added ALL skins.

1.0.1 - Lowered special cd and dmg.

1.0.0 - Release
